copy_db_cluster_snapshot¶
Operation¶
copy_db_cluster_snapshot
async
¶
copy_db_cluster_snapshot(request: CopyDBClusterSnapshotInput | CopyDBClusterSnapshotInputDict, /, *, plugins: list[Plugin] | None = None) -> CopyDBClusterSnapshotOutput
copy_db_cluster_snapshot(*, plugins: list[Plugin] | None = None, **kwargs: Unpack[CopyDBClusterSnapshotInputDict]) -> CopyDBClusterSnapshotOutput
Copies a snapshot of a DB cluster.
To copy a DB cluster snapshot from a shared manual DB cluster snapshot,
SourceDBClusterSnapshotIdentifier must be the Amazon Resource Name
(ARN) of the shared DB cluster snapshot.
You can copy an encrypted DB cluster snapshot from another Amazon Web
Services Region. In that case, the Amazon Web Services Region where you
call the CopyDBClusterSnapshot operation is the destination Amazon Web
Services Region for the encrypted DB cluster snapshot to be copied to.
To copy an encrypted DB cluster snapshot from another Amazon Web
Services Region, you must provide the following values:
-
KmsKeyId- The Amazon Web Services Key Management System (Amazon Web Services KMS) key identifier for the key to use to encrypt the copy of the DB cluster snapshot in the destination Amazon Web Services Region. -
TargetDBClusterSnapshotIdentifier- The identifier for the new copy of the DB cluster snapshot in the destination Amazon Web Services Region. -
SourceDBClusterSnapshotIdentifier- The DB cluster snapshot identifier for the encrypted DB cluster snapshot to be copied. This identifier must be in the ARN format for the source Amazon Web Services Region and is the same value as theSourceDBClusterSnapshotIdentifierin the presigned URL.
To cancel the copy operation once it is in progress, delete the target
DB cluster snapshot identified by TargetDBClusterSnapshotIdentifier
while that DB cluster snapshot is in "copying" status.
For more information on copying encrypted Amazon Aurora DB cluster snapshots from one Amazon Web Services Region to another, see Copying a Snapshot in the Amazon Aurora User Guide.
For more information on Amazon Aurora DB clusters, see What is Amazon Aurora? in the Amazon Aurora User Guide.
For more information on Multi-AZ DB clusters, see Multi-AZ DB cluster deployments in the Amazon RDS User Guide.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
plugins
|
list[Plugin] | None
|
A list of callables that modify the configuration dynamically. Changes made by these plugins only apply for the duration of the operation execution and will not affect any other operation invocations. |
None
|
Returns:
| Type | Description |
|---|---|
CopyDBClusterSnapshotOutput
|
An instance of |
Input¶
Pass the input fields as keyword arguments, or pass a model or dictionary as the first positional argument. Pass plugins separately as a keyword argument.
Model¶
CopyDBClusterSnapshotInput
dataclass
¶
Bases: _SerdeShape
Attributes¶
copy_tags
class-attribute
instance-attribute
¶
copy_tags: bool | None = ...
Specifies whether to copy all tags from the source DB cluster snapshot to the target DB cluster snapshot. By default, tags are not copied.
kms_key_id
class-attribute
instance-attribute
¶
kms_key_id: str | None = ...
The Amazon Web Services KMS key identifier for an encrypted DB cluster snapshot. The Amazon Web Services KMS key identifier is the key ARN, key ID, alias ARN, or alias name for the Amazon Web Services KMS key.
If you copy an encrypted DB cluster snapshot from your Amazon Web
Services account, you can specify a value for KmsKeyId to encrypt the
copy with a new KMS key. If you don't specify a value for KmsKeyId,
then the copy of the DB cluster snapshot is encrypted with the same KMS
key as the source DB cluster snapshot.
If you copy an encrypted DB cluster snapshot that is shared from another
Amazon Web Services account, then you must specify a value for
KmsKeyId.
To copy an encrypted DB cluster snapshot to another Amazon Web Services
Region, you must set KmsKeyId to the Amazon Web Services KMS key
identifier you want to use to encrypt the copy of the DB cluster
snapshot in the destination Amazon Web Services Region. KMS keys are
specific to the Amazon Web Services Region that they are created in, and
you can't use KMS keys from one Amazon Web Services Region in another
Amazon Web Services Region.
If you copy an unencrypted DB cluster snapshot and specify a value for
the KmsKeyId parameter, an error is returned.
pre_signed_url
class-attribute
instance-attribute
¶
pre_signed_url: str | None = ...
When you are copying a DB cluster snapshot from one Amazon Web Services
GovCloud (US) Region to another, the URL that contains a Signature
Version 4 signed request for the CopyDBClusterSnapshot API operation
in the Amazon Web Services Region that contains the source DB cluster
snapshot to copy. Use the PreSignedUrl parameter when copying an
encrypted DB cluster snapshot from another Amazon Web Services Region.
Don't specify PreSignedUrl when copying an encrypted DB cluster
snapshot in the same Amazon Web Services Region.
This setting applies only to Amazon Web Services GovCloud (US) Regions. It's ignored in other Amazon Web Services Regions.
The presigned URL must be a valid request for the
CopyDBClusterSnapshot API operation that can run in the source Amazon
Web Services Region that contains the encrypted DB cluster snapshot to
copy. The presigned URL request must contain the following parameter
values:
-
KmsKeyId- The KMS key identifier for the KMS key to use to encrypt the copy of the DB cluster snapshot in the destination Amazon Web Services Region. This is the same identifier for both theCopyDBClusterSnapshotoperation that is called in the destination Amazon Web Services Region, and the operation contained in the presigned URL. -
DestinationRegion- The name of the Amazon Web Services Region that the DB cluster snapshot is to be created in. -
SourceDBClusterSnapshotIdentifier- The DB cluster snapshot identifier for the encrypted DB cluster snapshot to be copied. This identifier must be in the Amazon Resource Name (ARN) format for the source Amazon Web Services Region. For example, if you are copying an encrypted DB cluster snapshot from the us-west-2 Amazon Web Services Region, then yourSourceDBClusterSnapshotIdentifierlooks like the following example:arn:aws:rds:us-west-2:123456789012:cluster-snapshot:aurora-cluster1-snapshot-20161115.
To learn how to generate a Signature Version 4 signed request, see Authenticating Requests: Using Query Parameters (Amazon Web Services Signature Version 4) and Signature Version 4 Signing Process.
Note
If you are using an Amazon Web Services SDK tool or the CLI, you can
specify SourceRegion (or --source-region for the CLI) instead of
specifying PreSignedUrl manually. Specifying SourceRegion
autogenerates a presigned URL that is a valid request for the operation
that can run in the source Amazon Web Services Region.
source_db_cluster_snapshot_identifier
class-attribute
instance-attribute
¶
source_db_cluster_snapshot_identifier: str | None = ...
The identifier of the DB cluster snapshot to copy. This parameter isn't case-sensitive.
Constraints:
-
Must specify a valid source snapshot in the "available" state.
-
If the source snapshot is in the same Amazon Web Services Region as the copy, specify a valid DB snapshot identifier.
-
If the source snapshot is in a different Amazon Web Services Region than the copy, specify a valid DB cluster snapshot ARN. You can also specify an ARN of a snapshot that is in a different account and a different Amazon Web Services Region. For more information, go to Copying Snapshots Across Amazon Web Services Regions in the Amazon Aurora User Guide.
Example: my-cluster-snapshot1
tags
class-attribute
instance-attribute
¶
A list of tags.
For more information, see Tagging Amazon RDS resources in the Amazon RDS User Guide or Tagging Amazon Aurora and Amazon RDS resources in the Amazon Aurora User Guide.
target_db_cluster_snapshot_identifier
class-attribute
instance-attribute
¶
target_db_cluster_snapshot_identifier: str | None = ...
The identifier of the new DB cluster snapshot to create from the source DB cluster snapshot. This parameter isn't case-sensitive.
Constraints:
-
Must contain from 1 to 63 letters, numbers, or hyphens.
-
First character must be a letter.
-
Can't end with a hyphen or contain two consecutive hyphens.
Example: my-cluster-snapshot2
Dictionaries¶
CopyDBClusterSnapshotInputDict
¶
Bases: TypedDict
Dictionary form of CopyDBClusterSnapshotInput.
Attributes¶
copy_tags
instance-attribute
¶
copy_tags: bool | None
Specifies whether to copy all tags from the source DB cluster snapshot to the target DB cluster snapshot. By default, tags are not copied.
kms_key_id
instance-attribute
¶
kms_key_id: str | None
The Amazon Web Services KMS key identifier for an encrypted DB cluster snapshot. The Amazon Web Services KMS key identifier is the key ARN, key ID, alias ARN, or alias name for the Amazon Web Services KMS key.
If you copy an encrypted DB cluster snapshot from your Amazon Web
Services account, you can specify a value for KmsKeyId to encrypt the
copy with a new KMS key. If you don't specify a value for KmsKeyId,
then the copy of the DB cluster snapshot is encrypted with the same KMS
key as the source DB cluster snapshot.
If you copy an encrypted DB cluster snapshot that is shared from another
Amazon Web Services account, then you must specify a value for
KmsKeyId.
To copy an encrypted DB cluster snapshot to another Amazon Web Services
Region, you must set KmsKeyId to the Amazon Web Services KMS key
identifier you want to use to encrypt the copy of the DB cluster
snapshot in the destination Amazon Web Services Region. KMS keys are
specific to the Amazon Web Services Region that they are created in, and
you can't use KMS keys from one Amazon Web Services Region in another
Amazon Web Services Region.
If you copy an unencrypted DB cluster snapshot and specify a value for
the KmsKeyId parameter, an error is returned.
pre_signed_url
instance-attribute
¶
pre_signed_url: str | None
When you are copying a DB cluster snapshot from one Amazon Web Services
GovCloud (US) Region to another, the URL that contains a Signature
Version 4 signed request for the CopyDBClusterSnapshot API operation
in the Amazon Web Services Region that contains the source DB cluster
snapshot to copy. Use the PreSignedUrl parameter when copying an
encrypted DB cluster snapshot from another Amazon Web Services Region.
Don't specify PreSignedUrl when copying an encrypted DB cluster
snapshot in the same Amazon Web Services Region.
This setting applies only to Amazon Web Services GovCloud (US) Regions. It's ignored in other Amazon Web Services Regions.
The presigned URL must be a valid request for the
CopyDBClusterSnapshot API operation that can run in the source Amazon
Web Services Region that contains the encrypted DB cluster snapshot to
copy. The presigned URL request must contain the following parameter
values:
-
KmsKeyId- The KMS key identifier for the KMS key to use to encrypt the copy of the DB cluster snapshot in the destination Amazon Web Services Region. This is the same identifier for both theCopyDBClusterSnapshotoperation that is called in the destination Amazon Web Services Region, and the operation contained in the presigned URL. -
DestinationRegion- The name of the Amazon Web Services Region that the DB cluster snapshot is to be created in. -
SourceDBClusterSnapshotIdentifier- The DB cluster snapshot identifier for the encrypted DB cluster snapshot to be copied. This identifier must be in the Amazon Resource Name (ARN) format for the source Amazon Web Services Region. For example, if you are copying an encrypted DB cluster snapshot from the us-west-2 Amazon Web Services Region, then yourSourceDBClusterSnapshotIdentifierlooks like the following example:arn:aws:rds:us-west-2:123456789012:cluster-snapshot:aurora-cluster1-snapshot-20161115.
To learn how to generate a Signature Version 4 signed request, see Authenticating Requests: Using Query Parameters (Amazon Web Services Signature Version 4) and Signature Version 4 Signing Process.
Note
If you are using an Amazon Web Services SDK tool or the CLI, you can
specify SourceRegion (or --source-region for the CLI) instead of
specifying PreSignedUrl manually. Specifying SourceRegion
autogenerates a presigned URL that is a valid request for the operation
that can run in the source Amazon Web Services Region.
source_db_cluster_snapshot_identifier
instance-attribute
¶
The identifier of the DB cluster snapshot to copy. This parameter isn't case-sensitive.
Constraints:
-
Must specify a valid source snapshot in the "available" state.
-
If the source snapshot is in the same Amazon Web Services Region as the copy, specify a valid DB snapshot identifier.
-
If the source snapshot is in a different Amazon Web Services Region than the copy, specify a valid DB cluster snapshot ARN. You can also specify an ARN of a snapshot that is in a different account and a different Amazon Web Services Region. For more information, go to Copying Snapshots Across Amazon Web Services Regions in the Amazon Aurora User Guide.
Example: my-cluster-snapshot1
tags
instance-attribute
¶
A list of tags.
For more information, see Tagging Amazon RDS resources in the Amazon RDS User Guide or Tagging Amazon Aurora and Amazon RDS resources in the Amazon Aurora User Guide.
target_db_cluster_snapshot_identifier
instance-attribute
¶
The identifier of the new DB cluster snapshot to create from the source DB cluster snapshot. This parameter isn't case-sensitive.
Constraints:
-
Must contain from 1 to 63 letters, numbers, or hyphens.
-
First character must be a letter.
-
Can't end with a hyphen or contain two consecutive hyphens.
Example: my-cluster-snapshot2
Output¶
CopyDBClusterSnapshotOutput
dataclass
¶
Bases: _SerdeShape
Dataclass for CopyDBClusterSnapshotOutput structure.
Attributes¶
db_cluster_snapshot
class-attribute
instance-attribute
¶
db_cluster_snapshot: DBClusterSnapshot | None = ...
Contains the details for an Amazon RDS DB cluster snapshot
This data type is used as a response element in the
DescribeDBClusterSnapshots action.
response_metadata
class-attribute
instance-attribute
¶
Metadata about the response that produced this output. Use this to recover the request identifiers a service's support team needs in order to investigate a call. Members of the metadata are individually optional.